# KaleidoShader

## Import

KaleidoShader is an addon, and must be imported explicitly, see Installation#Addons.

    import { KaleidoShader } from 'three/addons/shaders/KaleidoShader.js';

## Properties

### .KaleidoShader : ShaderMaterial~Shader (inner, constant)

Kaleidoscope Shader. Radial reflection around center point Ported from: http://pixelshaders.com/editor/ by Toby Schachman

sides: number of reflections angle: initial angle in radians

## Source

examples/jsm/shaders/KaleidoShader.js